import * as z from 'zod';
export const PatientDocumentGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  patientId: z.number().int(),
  filename: z.string(),
  originalName: z.string(),
  mimeType: z.string(),
  fileSize: z.bigint(),
  filePath: z.string(),
  uploadedAt: z.date(),
  updatedAt: z.date(),
  _count: z.object({
    id: z.number(),
    patientId: z.number(),
    filename: z.number(),
    originalName: z.number(),
    mimeType: z.number(),
    fileSize: z.number(),
    filePath: z.number(),
    uploadedAt: z.number(),
    updatedAt: z.number(),
    patient: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    fileSize: z.bigint().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    fileSize: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    filename: z.string().nullable(),
    originalName: z.string().nullable(),
    mimeType: z.string().nullable(),
    fileSize: z.bigint().nullable(),
    filePath: z.string().nullable(),
    uploadedAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    filename: z.string().nullable(),
    originalName: z.string().nullable(),
    mimeType: z.string().nullable(),
    fileSize: z.bigint().nullable(),
    filePath: z.string().nullable(),
    uploadedAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional()
}));